org.apache.xmlbeans.impl.util

## Class FilerImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.util.FilerImpl

- All Implemented Interfaces:
    Filer

      public class FilerImpl
      extends Object
      implements Filer

  This implementation of Filer writes to disk.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilerImpl(File classdir, File srcdir, org.apache.xmlbeans.impl.repackage.Repackager repackager, boolean verbose, boolean incrSrcGen)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputStream` | `createBinaryFile(String typename)` Creates a new schema binary file (.xsb) and returns a stream for writing to it.
    `Writer` | `createSourceFile(String typename)` Creates a new binding source file (.java) and returns a writer for it.
    `org.apache.xmlbeans.impl.repackage.Repackager` | `getRepackager()`
    `List<File>` | `getSourceFiles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilerImpl

          public FilerImpl(File classdir,
                           File srcdir,
                           org.apache.xmlbeans.impl.repackage.Repackager repackager,
                           boolean verbose,
                           boolean incrSrcGen)

  - ### Method Detail

    - #### createBinaryFile

          public OutputStream createBinaryFile(String typename)
                                        throws IOException

      Creates a new schema binary file (.xsb) and returns a stream for writing to it.
      Specified by:
        `createBinaryFile` in interface `Filer`
      Parameters:
        `typename` - fully qualified type name
      Returns:
        a stream to write the type to
      Throws:
        `IOException` - when the file can't be created

    - #### createSourceFile

          public Writer createSourceFile(String typename)
                                  throws IOException

      Creates a new binding source file (.java) and returns a writer for it.
      Specified by:
        `createSourceFile` in interface `Filer`
      Parameters:
        `typename` - fully qualified type name
      Returns:
        a stream to write the type to
      Throws:
        `IOException` - when the file can't be created

    - #### getSourceFiles

          public List<File> getSourceFiles()

    - #### getRepackager

          public org.apache.xmlbeans.impl.repackage.Repackager getRepackager()